package eu.mhsl.craftattack.spawn.appliances.countdown.command;

import eu.mhsl.craftattack.spawn.appliance.ApplianceCommand;
import eu.mhsl.craftattack.spawn.appliances.countdown.Countdown;
import net.kyori.adventure.text.Component;
import net.kyori.adventure.text.format.NamedTextColor;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.jetbrains.annotations.NotNull;

public class ProjectStartCommand extends ApplianceCommand<Countdown> {
    public ProjectStartCommand() {
        super("projectStart");
    }

    @Override
    protected void execute(@NotNull CommandSender sender, @NotNull Command command, @NotNull String label, @NotNull String[] args) {
        if(!getAppliance().isEnabled()) {
            sender.sendMessage(Component.text("Countdown not enabled or executed once before!").color(NamedTextColor.RED));
            return;
        }

        if(getAppliance().isRunning()) {
            sender.sendMessage(Component.text("Countdown already running!").color(NamedTextColor.RED));
            return;
        }

        getAppliance().startCountdown();
    }
}
