package eu.mhsl.craftattack.spawn.appliances.worldmuseum.listener;

import eu.mhsl.craftattack.spawn.appliance.ApplianceListener;
import eu.mhsl.craftattack.spawn.appliances.worldmuseum.WorldMuseum;
import org.bukkit.entity.Villager;
import org.bukkit.event.EventHandler;
import org.bukkit.event.inventory.InventoryOpenEvent;

public class InventoryOpenListener extends ApplianceListener<WorldMuseum> {
    @EventHandler
    public void onInventoryOpen(InventoryOpenEvent event) {
        if(event.getInventory().getHolder() instanceof Villager villager) {
            event.setCancelled(villager.getUniqueId().equals(getAppliance().villager.getVillager().getUniqueId()));
        }
    }
}
