package eu.mhsl.craftattack.spawn.util;

import net.kyori.adventure.text.format.TextColor;

import java.awt.*;

public class ColorUtil {
    public static TextColor mapGreenToRed(double value, double minValue, double maxValue, boolean lowIsGreen) {
        float hue = (float) NumberUtil.map(value, minValue, maxValue, 0, 120);

        if(lowIsGreen) {
            hue = Math.abs(hue - 120);
        }

        return TextColor.color(Color.getHSBColor(hue/360, 1f, 1f).getRGB());
    }
}
