package eu.mhsl.craftattack.spawn.appliance;

import eu.mhsl.craftattack.spawn.Main;
import org.bukkit.event.Listener;

/**
 * Utility class which provides a specific, type save appliance.
 * You can access the appliance with the protected 'appliance' field.
 * @param <T> the type of your appliance
 */
public abstract class ApplianceListener<T extends Appliance> implements ApplianceSupplier<T>, Listener {
    private final T appliance;
    protected ApplianceListener() {
        this.appliance = Main.instance().getAppliance(Main.getApplianceType(getClass()));
    }

    @Override
    public T getAppliance() {
        return appliance;
    }
}