package eu.mhsl.craftattack.spawn.appliances.adminMarker;

import eu.mhsl.craftattack.spawn.appliance.ApplianceListener;
import net.kyori.adventure.text.format.TextColor;
import org.bukkit.Color;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.player.PlayerJoinEvent;


public class AdminMarkerListener extends ApplianceListener<AdminMarker> {
    @EventHandler
    public void onPlayerJoin(PlayerJoinEvent event) {
        Player p = event.getPlayer();

        p.displayName(p.displayName().color(getPlayerColor(p)));
        p.playerListName(p.playerListName().color(getPlayerColor(p)));
    }

    private TextColor getPlayerColor(Player player) {
        if (player.hasPermission("chatcolor")) return TextColor.color(Color.AQUA.asRGB()); // TODO read permission from config
        return TextColor.color(Color.WHITE.asRGB());
    }
}
